package speiger.src.coreengine.rendering.tesselationOld;

import speiger.src.coreengine.rendering.tesselation.format.VertexElement;
import speiger.src.coreengine.rendering.tesselation.format.VertexElement.Usage;
import speiger.src.coreengine.rendering.tesselation.format.VertexFormat;

public class VertexType
{
	public static final VertexElement POSITION_2F = new VertexElement(2, Usage.POS);
	public static final VertexElement POSITION_3F = new VertexElement(3, Usage.POS);
	public static final VertexElement TEXTURE_2F = new VertexElement(2, Usage.UV);
	public static final VertexElement COLOR_3F = new VertexElement(3, Usage.COLOR);
	public static final VertexElement COLOR_4F = new VertexElement(4, Usage.COLOR);
	public static final VertexElement NORMAL_3F = new VertexElement(3, Usage.NORMAL);
	public static final VertexElement CUSTOM_4F = new VertexElement(4, Usage.CUSTOM);
	
	public static final VertexFormat POS_COLOR_2F = VertexFormat.builder().add(POSITION_2F).add(COLOR_4F).build();
	public static final VertexFormat POS_COLOR_3F = VertexFormat.builder().add(POSITION_3F).add(COLOR_3F).build();
	public static final VertexFormat POS_COLOR_4F = VertexFormat.builder().add(POSITION_3F).add(COLOR_4F).build();
	public static final VertexFormat POS_TEX = VertexFormat.builder().add(POSITION_3F).add(TEXTURE_2F).build();
	public static final VertexFormat TERRAIN = VertexFormat.builder().add(POSITION_3F).add(COLOR_3F).add(NORMAL_3F).build();
	
	public static final VertexFormat UI = VertexFormat.builder().add(POSITION_3F).add(TEXTURE_2F).add(COLOR_4F).build();
	public static final VertexFormat IN_WORLD_UI = VertexFormat.builder().add(POSITION_3F).add(TEXTURE_2F).add(COLOR_4F).add(CUSTOM_4F).build();
}
